import { createArticleFields } from '@/lib/keystatic/fields/article'
import { collection, fields } from '@keystatic/core'

export const AWQTalentsCollection = collection({
  label: 'AWQ – Talents',
  slugField: 'title',
  path: 'src/content/awq/talents/*',
  format: { contentField: 'content' },
  schema: {
    path: fields.text({
      label: 'Path',
      description: 'Path on the website',
      defaultValue: 'characters/talents',
    }),
    ...createArticleFields('awq'),
  },
})
